VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::ovf::ParseIssue::Category Class Reference

The `ParseIssue.Category` enumerated type defines the categories of issues that can be found when parsing files inside an OVF package (see ParseIssue ) including OVF descriptor (which is an XML document), manifest and certificate files, or exporting an OVF package. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, VALUE_ILLEGAL, ATTRIBUTE_REQUIRED, ATTRIBUTE_ILLEGAL, ELEMENT_REQUIRED, ELEMENT_ILLEGAL, ELEMENT_UNKNOWN, SECTION_UNKNOWN, SECTION_RESTRICTION, PARSE_ERROR, GENERATE_ERROR, VALIDATION_ERROR, EXPORT_ERROR, INTERNAL_ERROR }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static Category[] | GetValues ()
static Category | ValueOf (string name)
## Static Public Attributes
static readonly Category | VALUE_ILLEGAL = new Category("VALUE_ILLEGAL", Values.VALUE_ILLEGAL)
| Illegal value error.
static readonly Category | ATTRIBUTE_REQUIRED = new Category("ATTRIBUTE_REQUIRED", Values.ATTRIBUTE_REQUIRED)
| Required attribute error.
static readonly Category | ATTRIBUTE_ILLEGAL = new Category("ATTRIBUTE_ILLEGAL", Values.ATTRIBUTE_ILLEGAL)
| Illegal attribute error.
static readonly Category | ELEMENT_REQUIRED = new Category("ELEMENT_REQUIRED", Values.ELEMENT_REQUIRED)
| Required element error.
static readonly Category | ELEMENT_ILLEGAL = new Category("ELEMENT_ILLEGAL", Values.ELEMENT_ILLEGAL)
| Illegal element error.
static readonly Category | ELEMENT_UNKNOWN = new Category("ELEMENT_UNKNOWN", Values.ELEMENT_UNKNOWN)
| Unknown element error.
static readonly Category | SECTION_UNKNOWN = new Category("SECTION_UNKNOWN", Values.SECTION_UNKNOWN)
| Section unknown error.
static readonly Category | SECTION_RESTRICTION = new Category("SECTION_RESTRICTION", Values.SECTION_RESTRICTION)
| Section restriction error.
static readonly Category | PARSE_ERROR = new Category("PARSE_ERROR", Values.PARSE_ERROR)
| OVF package parsing error, including: OVF descriptor parsing errors, for example, syntax errors or schema errors.
static readonly Category | GENERATE_ERROR = new Category("GENERATE_ERROR", Values.GENERATE_ERROR)
| OVF descriptor (which is an XML document) generating error, for example, well-formedness errors as well as unexpected processing conditions.
static readonly Category | VALIDATION_ERROR = new Category("VALIDATION_ERROR", Values.VALIDATION_ERROR)
| An issue with the manifest and signing.
static readonly Category | EXPORT_ERROR = new Category("EXPORT_ERROR", Values.EXPORT_ERROR)
| Issue during OVF export, for example, malformed deviceId, controller not found, or file backing for a device not found.
static readonly Category | INTERNAL_ERROR = new Category("INTERNAL_ERROR", Values.INTERNAL_ERROR)
| Server encountered an unexpected error which prevented it from fulfilling the request.

## Detailed Description

The `ParseIssue.Category` enumerated type defines the categories of issues that can be found when parsing files inside an OVF package (see ParseIssue ) including OVF descriptor (which is an XML document), manifest and certificate files, or exporting an OVF package.

## Member Enumeration Documentation

enum vmware::vcenter::ovf::ParseIssue::Category::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  VALUE_ILLEGAL | Illegal value error. For example, the value is malformed, not a number, or outside of the given range, and so on.
  ATTRIBUTE_REQUIRED | Required attribute error. It indicates that a required attribute is missing from an element in the OVF descriptor.
  ATTRIBUTE_ILLEGAL | Illegal attribute error. It indicates that an illegal attribute is set for an element in the OVF descriptor. For example, empty disks do not use format, parentRef, and populatedSize attributes, if these attributes are present in an empty disk element then will get this pasrse issue.
  ELEMENT_REQUIRED | Required element error. It indicates that a required element is missing from the OVF descriptor.
  ELEMENT_ILLEGAL | Illegal element error. It indicates that an element is present in a location which is not allowed, or found multiple elements but only one is allowed at the location in the OVF descriptor.
  ELEMENT_UNKNOWN | Unknown element error. It indicates that an element is unsupported when parsing an OVF descriptor.
  SECTION_UNKNOWN | Section unknown error. It indicates that a section is unsupported when parsing an OVF descriptor.
  SECTION_RESTRICTION | Section restriction error. It indicates that a section appears in place in the OVF descriptor where it is not allowed, a section appears fewer times than is required, or a section appears more times than is allowed.
  PARSE_ERROR | OVF package parsing error, including: OVF descriptor parsing errors, for example, syntax errors or schema errors. Manifest file parsing and verification errors. Certificate file parsing and verification errors.
  GENERATE_ERROR | OVF descriptor (which is an XML document) generating error, for example, well-formedness errors as well as unexpected processing conditions.
  VALIDATION_ERROR | An issue with the manifest and signing.
  EXPORT_ERROR | Issue during OVF export, for example, malformed deviceId, controller not found, or file backing for a device not found.
  INTERNAL_ERROR | Server encountered an unexpected error which prevented it from fulfilling the request.

## Member Function Documentation

Values vmware::vcenter::ovf::ParseIssue::Category::GetEnumValue | ( |  | ) | `[inline]`

static Category [] vmware::vcenter::ovf::ParseIssue::Category::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::ovf::ParseIssue::Category::IsUnknown | ( |  | ) | `[inline]`

static Category vmware::vcenter::ovf::ParseIssue::Category::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly Category vmware::vcenter::ovf::ParseIssue::Category::ATTRIBUTE_ILLEGAL = new Category("ATTRIBUTE_ILLEGAL", Values.ATTRIBUTE_ILLEGAL)`[static]`

Illegal attribute error.

It indicates that an illegal attribute is set for an element in the OVF descriptor. For example, empty disks do not use format, parentRef, and populatedSize attributes, if these attributes are present in an empty disk element then will get this pasrse issue.

readonly Category vmware::vcenter::ovf::ParseIssue::Category::ATTRIBUTE_REQUIRED = new Category("ATTRIBUTE_REQUIRED", Values.ATTRIBUTE_REQUIRED)`[static]`

Required attribute error.

It indicates that a required attribute is missing from an element in the OVF descriptor.

readonly Category vmware::vcenter::ovf::ParseIssue::Category::ELEMENT_ILLEGAL = new Category("ELEMENT_ILLEGAL", Values.ELEMENT_ILLEGAL)`[static]`

Illegal element error.

It indicates that an element is present in a location which is not allowed, or found multiple elements but only one is allowed at the location in the OVF descriptor.

readonly Category vmware::vcenter::ovf::ParseIssue::Category::ELEMENT_REQUIRED = new Category("ELEMENT_REQUIRED", Values.ELEMENT_REQUIRED)`[static]`

Required element error.

It indicates that a required element is missing from the OVF descriptor.

readonly Category vmware::vcenter::ovf::ParseIssue::Category::ELEMENT_UNKNOWN = new Category("ELEMENT_UNKNOWN", Values.ELEMENT_UNKNOWN)`[static]`

Unknown element error.

It indicates that an element is unsupported when parsing an OVF descriptor.

readonly Category vmware::vcenter::ovf::ParseIssue::Category::EXPORT_ERROR = new Category("EXPORT_ERROR", Values.EXPORT_ERROR)`[static]`

Issue during OVF export, for example, malformed deviceId, controller not found, or file backing for a device not found.

readonly Category vmware::vcenter::ovf::ParseIssue::Category::GENERATE_ERROR = new Category("GENERATE_ERROR", Values.GENERATE_ERROR)`[static]`

OVF descriptor (which is an XML document) generating error, for example, well-formedness errors as well as unexpected processing conditions.

readonly Category vmware::vcenter::ovf::ParseIssue::Category::INTERNAL_ERROR = new Category("INTERNAL_ERROR", Values.INTERNAL_ERROR)`[static]`

Server encountered an unexpected error which prevented it from fulfilling the request.

readonly Category vmware::vcenter::ovf::ParseIssue::Category::PARSE_ERROR = new Category("PARSE_ERROR", Values.PARSE_ERROR)`[static]`

OVF package parsing error, including:

- OVF descriptor parsing errors, for example, syntax errors or schema errors.

Manifest file parsing and verification errors. Certificate file parsing and verification errors.

readonly Category vmware::vcenter::ovf::ParseIssue::Category::SECTION_RESTRICTION = new Category("SECTION_RESTRICTION", Values.SECTION_RESTRICTION)`[static]`

Section restriction error.

It indicates that a section appears in place in the OVF descriptor where it is not allowed, a section appears fewer times than is required, or a section appears more times than is allowed.

readonly Category vmware::vcenter::ovf::ParseIssue::Category::SECTION_UNKNOWN = new Category("SECTION_UNKNOWN", Values.SECTION_UNKNOWN)`[static]`

Section unknown error.

It indicates that a section is unsupported when parsing an OVF descriptor.

readonly Category vmware::vcenter::ovf::ParseIssue::Category::VALIDATION_ERROR = new Category("VALIDATION_ERROR", Values.VALIDATION_ERROR)`[static]`

An issue with the manifest and signing.

readonly Category vmware::vcenter::ovf::ParseIssue::Category::VALUE_ILLEGAL = new Category("VALUE_ILLEGAL", Values.VALUE_ILLEGAL)`[static]`

Illegal value error.

For example, the value is malformed, not a number, or outside of the given range, and so on.

The documentation for this class was generated from the following file:

- ParseIssue.cs